# Generated by Django 2.2.26 on 2022-01-28 14:16

from django.db import migrations, models
import django.utils.timezone
import djangoldp.fields


class Migration(migrations.Migration):

    dependencies = [
        ('djangoldp_blog', '0002_auto_20200810_1432'),
    ]

    operations = [
        migrations.CreateModel(
            name='Thematic',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('urlid', djangoldp.fields.LDPUrlField(blank=True, null=True, unique=True)),
                ('is_backlink', models.BooleanField(default=False, help_text='set automatically to indicate the Model is a backlink')),
                ('allow_create_backlink', models.BooleanField(default=True, help_text='set to False to disable backlink creation after Model save')),
                ('name', models.CharField(blank=True, max_length=50, null=True, verbose_name='nom de la thématique')),
                ('number', models.IntegerField(blank=True, null=True, verbose_name='numéro de la thématique')),
                ('text', models.CharField(blank=True, max_length=250, null=True, verbose_name='sous-titre de la thématique')),
            ],
            options={
                'abstract': False,
                'default_permissions': ['add', 'change', 'delete', 'view', 'control'],
                'depth': 0,
            },
        ),
        migrations.AlterModelOptions(
            name='article',
            options={'ordering': ['-createdate']},
        ),
        migrations.RemoveField(
            model_name='article',
            name='dateCreated',
        ),
        migrations.RemoveField(
            model_name='article',
            name='picture',
        ),
        migrations.RemoveField(
            model_name='article',
            name='text',
        ),
        migrations.AddField(
            model_name='article',
            name='content',
            field=models.TextField(blank=True, null=True, verbose_name="contenu de l'article"),
        ),
        migrations.AddField(
            model_name='article',
            name='createdate',
            field=models.DateTimeField(auto_now_add=True, default=django.utils.timezone.now, verbose_name='Date de création'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='article',
            name='img',
            field=models.ImageField(blank=True, null=True, upload_to='', verbose_name='image de présentation'),
        ),
        migrations.AddField(
            model_name='article',
            name='presentation',
            field=models.CharField(blank=True, max_length=250, null=True, verbose_name="texte de présentation de l'article"),
        ),
        migrations.AddField(
            model_name='article',
            name='updatedate',
            field=models.DateTimeField(auto_now=True, verbose_name='Date de dernière mise à jour'),
        ),
        migrations.AlterField(
            model_name='article',
            name='title',
            field=models.CharField(blank=True, max_length=250, null=True, verbose_name="Titre de l'article"),
        ),
        migrations.AddField(
            model_name='article',
            name='thematic',
            field=models.ManyToManyField(blank=True, max_length=50, related_name='article', to='djangoldp_blog.Thematic', verbose_name='Thématique'),
        ),
    ]
